## wxDebugReportCompress

wxDebugReportCompress is a wxDebugReport which compresses all the files in this debug report into a single .ZIP file in its `Process()` function.

Derived from

wxDebugReport

Include files

<wx/debugrpt.h>

Members

wxDebugReportCompress::wxDebugReportCompress
wxDebugReportCompress::GetCompressedFileName

### wxDebugReportCompress::wxDebugReportCompress

wxDebugReportCompress()

Default constructor does nothing special.

### wxDebugReportCompress::GetCompressedFileName

const wxString& GetCompressedFileName() const

Returns the full path of the compressed file (empty if creation failed).